summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2010-05-13 00:57:24 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:57:24 +0200
commitd4b59be5f010a4347c76bc9d3e95051dea452152 (patch)
treeda6b63b46f3176e44872a44f189835dd57bc8c3b /audio
parent02de713278984be065f347af2712ddb15d19c2e2 (diff)
downloadslackbuilds-d4b59be5f010a4347c76bc9d3e95051dea452152.tar.gz
slackbuilds-d4b59be5f010a4347c76bc9d3e95051dea452152.tar.xz
audio/caps: Added to 13.0 repository
Diffstat (limited to 'audio')
-rw-r--r--audio/caps/README14
-rw-r--r--audio/caps/caps.SlackBuild70
-rw-r--r--audio/caps/caps.info10
-rw-r--r--audio/caps/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/audio/caps/README b/audio/caps/README
new file mode 100644
index 0000000000..d64eedfc19
--- /dev/null
+++ b/audio/caps/README
@@ -0,0 +1,14 @@
+caps (audio plugin suite for LADSPA)
+
+CAPS, the C* Audio Plugin Suite, is a collection of refined LADSPA audio
+plugins capable of (and mainly intended for) realtime operation. The suite
+includes DSP units emulating instrument amplifiers, stomp-box classics,
+versatile 'virtual analogue' oscillators, fractal oscillation, reverb,
+equalization and more.
+
+By default, CAPS will use SSE and/or SSE3 optimizations, if they are
+supported on the build host. If you're building a package to be deployed
+on a different system, you might need to set FORCE_SLACK_CFLAGS=yes in
+the script's environment (this will completely disable SSE/SSE3).
+
+This requires ladspa_sdk.
diff --git a/audio/caps/caps.SlackBuild b/audio/caps/caps.SlackBuild
new file mode 100644
index 0000000000..58a4aa6860
--- /dev/null
+++ b/audio/caps/caps.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Slackware build script for caps
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=caps
+VERSION=${VERSION:-0.4.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+FORCE_SLACK_CFLAGS=${FORCE_SLACK_CFLAGS:-no}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+if [ "$FORCE_SLACK_CFLAGS" = "yes" ]; then
+ make OPTS="$SLKCFLAGS"
+else
+ ./configure.py
+ make
+fi
+
+make install \
+ DEST=$PKG/usr/lib$LIBDIRSUFFIX/ladspa \
+ RDFDEST=$PKG/usr/share/ladspa/rdf
+
+# LADSPA standard seems to be mode 0755
+chmod 0755 $PKG/usr/lib$LIBDIRSUFFIX/ladspa/*.so
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGES COPYING README $PRGNAM.html \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/caps/caps.info b/audio/caps/caps.info
new file mode 100644
index 0000000000..7e31b6dd80
--- /dev/null
+++ b/audio/caps/caps.info
@@ -0,0 +1,10 @@
+PRGNAM="caps"
+VERSION="0.4"
+HOMEPAGE="http://quitte.de/dsp/caps.html"
+DOWNLOAD="http://quitte.de/dsp/caps_0.4.4.tar.gz"
+MD5SUM="1f4a8d50257b6cbdaefecc78e3010d27"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="rworkman"
diff --git a/audio/caps/slack-desc b/audio/caps/slack-desc
new file mode 100644
index 0000000000..b26b4b60ec
--- /dev/null
+++ b/audio/caps/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+caps: caps (audio plugin suite for LADSPA)
+caps:
+caps: CAPS, the C* Audio Plugin Suite, is a collection of refined LADSPA
+caps: audio plugins capable of (and mainly intended for) realtime
+caps: operation. The suite includes DSP units emulating instrument
+caps: amplifiers, stomp-box classics, versatile 'virtual analogue'
+caps: oscillators, fractal oscillation, reverb, equalization and more.
+caps:
+caps:
+caps:
+caps: